Bug 201158 - Broken text rendering in GNOME apps during login to KDE desktop
Broken text rendering in GNOME apps during login to KDE desktop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-03 05:23 EDT by A S Alam
Modified: 2013-07-02 20:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-12 08:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gedit screenshot in kde dekstop (630.78 KB, image/png)
2006-08-03 05:23 EDT, A S Alam
no flags Details
Firefox on KDE desktop with English locale (37.64 KB, image/png)
2006-08-03 05:32 EDT, A S Alam
no flags Details
Firefox on KDE desktop with English locale (37.64 KB, image/png)
2006-08-03 05:36 EDT, A S Alam
no flags Details
KDE desktop in English locale (783.24 KB, image/png)
2006-08-03 05:37 EDT, A S Alam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7494 None None None Never

  None (edit)
Description A S Alam 2006-08-03 05:23:42 EDT
Description of problem:
when login to KDE desktop, fonts for Indic (+english) are looking ugly,
specially Gnome Applications's Shape is really bad (check screenshot).
Firefox/Thunderbirds are even worse (some time English text is not appeared on
those.

Version-Release number of selected component (if applicable):
fontconfig-2.3.95-6

How reproducible:
Everytime during login to KDE desktop

Steps to Reproduce:
1. Login by choose Language Punjabi (hindi) and KDE dekstop (please try with new
added user)
2. open Gedit (any gnome application) and Firefox
3. 
  
Actual results:
fonts are Ugly

Expected results:
fonts should have proper shapes

Additional info:
Comment 1 A S Alam 2006-08-03 05:23:43 EDT
Created attachment 133543 [details]
gedit screenshot in kde dekstop
Comment 2 A S Alam 2006-08-03 05:31:36 EDT
by testing with New user, LANG=en_US, fonts are also Ugly, adding Screenshot
kde-en-desktop1.png  and kde-en-ff1.png (where firefox is showing some english text)
There is no ~/.font.conf file for user
Comment 3 A S Alam 2006-08-03 05:32:45 EDT
Created attachment 133544 [details]
Firefox on KDE desktop with English locale
Comment 4 A S Alam 2006-08-03 05:36:21 EDT
Created attachment 133545 [details]
Firefox on KDE desktop with English locale
Comment 5 A S Alam 2006-08-03 05:37:45 EDT
Created attachment 133546 [details]
KDE desktop in English locale
Comment 6 Behdad Esfahbod 2006-08-03 13:11:34 EDT
This is a cairo 1.2 bug.  Being fixed for cairo 1.2.2.
Comment 7 A S Alam 2007-04-12 08:45:25 EDT
it is working fine, tested with following package:
cairo-1.4.2-1.fc7

Note You need to log in before you can comment on or make changes to this bug.